### Function

# Camel file_util_decode_off_t

#### Declaration [src]

    gint
    camel_file_util_decode_off_t (
      FILE* in,
      off_t* dest
    )

#### Description [src]

Decode an off_t type.

#### Parameters

`in`

  Type: `FILE*`

  File to read from.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`dest`

  Type: `off_t*`

  Pointer to a variable to put the value in.

  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 on success, -1 on failure.